searchData={"items":[{"type":"module","title":"ExPTY","doc":"`forkpty(3)` bindings for Elixir.\n\nThis allows you to fork processes with pseudoterminal file descriptors.\n\nIt returns a terminal genserver which allows reads and writes.","ref":"ExPTY.html"},{"type":"function","title":"ExPTY.args_to_command_line/2","doc":"Convert argc/argv into a Win32 command-line following the escaping convention\ndocumented on MSDN (e.g. see CommandLineToArgvW documentation). Copied from\nwinpty and node-pty project.","ref":"ExPTY.html#args_to_command_line/2"},{"type":"function","title":"ExPTY.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExPTY.html#child_spec/1"},{"type":"function","title":"ExPTY.default_pty_options/0","doc":"Default options when spawning a process.\n\nPlease see `ExPTY.spawn/3` for details.","ref":"ExPTY.html#default_pty_options/0"},{"type":"function","title":"ExPTY.flow_control/1","doc":"Get flow control status (only available on Unix systems at the moment).","ref":"ExPTY.html#flow_control/1"},{"type":"function","title":"ExPTY.flow_control/2","doc":"Set flow control status (only available on Unix systems at the moment).","ref":"ExPTY.html#flow_control/2"},{"type":"function","title":"ExPTY.kill/2","doc":"Kill the process with given signal.","ref":"ExPTY.html#kill/2"},{"type":"function","title":"ExPTY.on_data/2","doc":"Set callback function or module when data is available from the pseudoterminal.","ref":"ExPTY.html#on_data/2"},{"type":"function","title":"ExPTY.on_exit/2","doc":"Set callback function or module when the process exited.","ref":"ExPTY.html#on_exit/2"},{"type":"function","title":"ExPTY.pause/1","doc":"Pause flow (only available on Unix systems at the moment).","ref":"ExPTY.html#pause/1"},{"type":"function","title":"ExPTY.resize/3","doc":"Resize the pseudoterminal.","ref":"ExPTY.html#resize/3"},{"type":"function","title":"ExPTY.resume/1","doc":"Resume flow (only available on Unix systems at the moment).","ref":"ExPTY.html#resume/1"},{"type":"function","title":"ExPTY.spawn/3","doc":"Forks a process as a pseudoterminal.\n\n##### Positional Paramters\n- `file`: `String.t()`\n\n  The file to launch.\n\n- `args`: `list(String.t())`\n\n  The file's arguments as argv (const char * []).\n\n##### Keyword Parameters\n##### Common Keyword Parameters (Unix & Windows)\n- `name`: `String.t()`\n\n  Terminal name.\n\n  Defaults to `xterm-color` on Unix systems and `Windows Shell` on Windows.\n\n- `cols`: `pos_integer()`\n\n  Number of columns.\n\n  Defaults to 80.\n\n- `rows`: `pos_integer()`\n\n  Number of rows.\n\n  Defaults to 24.\n\n- `ibaudrate`: `non_neg_integer()`\n\n  `cfsetispeed(term, ibaudrate)`\n\n  Defaults to 38400.\n\n- `obaudrate`: `non_neg_integer()`\n\n  `cfsetospeed(term, obaudrate)`\n\n  Defaults to 38400.\n\n- `env`: `%{String.t() => String.t()}`\n\n  Environment variables.\n\n  Defaults to `System.get_env()`.\n\n  Notice, as the default value is given by `System.get_env()`, therefore, please be careful of leaking\n  secrets set in the environment.\n\n- `cwd`: `String.t()`\n\n  Current working directory.\n\n  Defaults to `Path.expand(\"~\")`.\n\n- `on_data`: `(ExPTY, pid(), binary() -> term()) | atom`\n\n  Callback when data is available.\n\n  Defaults to `nil`.\n\n  When passing a function, the function should expect 3 arguments,\n\n    1. `ExPTY`: The module name of `ExPTY`. This will probably be removed in the first release.\n    2. `pid()`: The genserver pid so that you can reuse the same function for different processes spawned.\n    3. `binary()`: The data read from the spawned process.\n\n  When passing a module name, the module should export an `on_data/3` function,\n  this function should expect the same arguments as mentioned above.\n\n  The return value of this callback function is ignored.\n\n- `on_exit`: `(ExPTY, pid(), integer(), integer() | nil -> term()) | atom`\n\n  Callback when the spawned process exited.\n\n  Defaults to `nil`.\n\n  When passing a function, the function should expect 4 arguments,\n\n    1. `ExPTY`: The module name of `ExPTY`. This will probably be removed in the first release.\n    2. `pid()`: The genserver pid so that you can reuse the same function for different processes spawned.\n    3. `integer()`: The exit code the spawned process.\n    4. `integer() | nil`: On unix, this is the signal code from the spawned process. On Windows, this value\n      is `nil`.\n\n  When passing a module name, the module should export an `on_data/3` function,\n  this function should expect the same arguments as mentioned above.\n\n  The return value of this callback function is ignored.\n\n##### Unix-specific Keyword Parameters\n- `encoding`: `String.t()`\n\n  Defaults to `utf-8`. This keyword parameter will probably be removed in the first release.\n\n- `handle_flow_control`: `boolean()`\n\n  Defaults to `false`.\n\n  Toggle flow control.\n\n- `flow_control_pause`: `binary()`\n\n  Default messages to indicate PAUSE for automatic flow control.\n\n  Customisble to avoid conflicts with rebound XON/XOFF control codes (such as on-my-zsh),\n\n  Defaults to `\u0013`, i.e, `XOFF`.\n\n- `flow_control_resume`: `binary()`\n\n  Default messages to indicate RESUME for automatic flow control.\n\n  Customisble to avoid conflicts with rebound XON/XOFF control codes (such as on-my-zsh),\n\n  Defaults to `\u0011`, i.e, `XON`.\n\n##### Windows-specific Keyword Parameters\n- `debug`: `boolean()`\n\n  Defaults to `false`. This keyword parameter is not used when the backend is conpty, i.e., when\n  Windows version >= 1809.\n\n- `pipe_name`: `String.t()`\n\n  Prefix of the pipe name.\n\n  Defaults to `\"pipe\"`.\n\n- `inherit_cursor`: `boolean()`\n\n  Whether to use PSEUDOCONSOLE_INHERIT_CURSOR in conpty.\n\n  See docs on [createpseudoconsole](https://docs.microsoft.com/en-us/windows/console/createpseudoconsole).\n\n  Defaults to `false`.","ref":"ExPTY.html#spawn/3"},{"type":"function","title":"ExPTY.write/2","doc":"Write data to the pseudoterminal.","ref":"ExPTY.html#write/2"},{"type":"module","title":"ExPTY.SmartCell","doc":"","ref":"ExPTY.SmartCell.html"},{"type":"function","title":"ExPTY.SmartCell.child_spec/1","doc":"","ref":"ExPTY.SmartCell.html#child_spec/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,48]}}